<?php
/*
 * $Id: index.php 2396 2008-09-15 14:58:40Z tbelliard $
 *
 * Copyright 2001, 2007 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Initialisations files
require_once("../lib/initialisations.inc.php");

// Resume session

$resultat_session = $session_gepi->security_check();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

//**************** EN-TETE *****************
$titre_page = "Gestion gnrale";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *****************

?>
<p class='bold'><a href="../accueil.php"><img src='../images/icons/back.png' alt='Retour' class='back_link' /> Retour</a></p>
<center>
<table class='menu' summary='Menu scurit'>
<tr>
	<th colspan='2'><img src='../images/icons/securite.png' alt='Scurit' class='link'/> - Scurit</th>
</tr>
<tr>
    <td width='200'><a href="gestion_connect.php">Gestion des connexions</a></td>
    <td>Affichage des connexions en cours, activation/dsactivation des connexions pour le site, protection contre les attaques forces brutes, journal des connexions, changement de mot de passe obligatoire.
    </td>
</tr>
<tr>
    <td width='200'><a href="security_panel.php">Panneau de contrle scurit</a></td>
    <td>Visualiser les tentatives d'utilisation illgale de Gepi.
    </td>
</tr>
<tr>
    <td width='200'><a href="security_policy.php">Politique de scurit</a></td>
    <td>Dfinir les seuils d'alerte et les actions  entreprendre dans le cas de tentatives d'intrusion ou d'accs illgal  des ressources.
    </td>
</tr>
<tr>
	<td width="200"><a href="../mod_serveur/test_serveur.php">Configuration serveur</a></td>
	<td>Voir la configuration du serveur php/Mysql pour v&eacute;rifier la compatibilit&eacute; avec Gepi.</td>
</tr>
</table>

<table class='menu' summary='Menu gnral'>
<tr>
	<th colspan='2'><img src='../images/icons/configure.png' alt='Configuration' class='link' /> - Gnral</th>
</tr>
<tr>
    <td width='200'><a href="param_gen.php">Configuration gnrale</a></td>
    <td>Permet de modifier des paramtres gnraux (nom de l'tablissement, adresse, ...).
    </td>
</tr>
<tr>
    <td width='200'><a href="droits_acces.php">Droits d'accs</a></td>
    <td>Modifier les droits d'accs  certaines fonctionnalits selon le statut de l'utilisateur.
    </td>
</tr>
<tr>
    <td width='200'><a href="options_connect.php">Options de connexions</a></td>
    <td>Gestion de la procdure automatise de rcupration de mot de passe, paramtrage du mode de connexion (autonome ou Single Sign-On), changement de mot de passe obligatoire, rglage de la dure de conservation des connexions, suppression de toutes les entres du journal de connexion.
    </td>
</tr>
<tr>
    <td width='200'><a href="modify_impression.php">Gestion de la fiche "bienvenue"</a></td>
    <td>Permet de modifier la feuille d'information  imprimer pour chaque nouvel utilisateur cr.
    </td>
</tr>
<tr>
    <td width='200'><a href="config_prefs.php">Paramtrage de l'interface <?php echo $gepiSettings['denomination_professeur']; ?></a></td>
    <td>Paramtrage des items de l'interface simplifie pour certaines pages. Gestion du menu en barre horizontale.</td>
</tr>
<tr>
    <td width='200'><a href="param_couleurs.php">Paramtrage des couleurs</a></td>
    <td>Paramtrage des couleurs de fond d'cran et du dgrad d'entte.</td>
</tr>
</table>

<table class='menu' summary='Menu gestion des BDD'>
<tr>
	<th colspan='2'><img src='../images/icons/database.png' alt='Gestion bases de donnes' class='link' /> - Gestion des bases de donnes </th>
</tr>
<tr>
    <td width='200'><a href="accueil_sauve.php">Sauvegardes et restauration</a></td>
    <td>Sauvegarder la base GEPI sous la forme d'un fichier au format "mysql".<br />
    Restaurer des donnes dans la base Mysql de GEPI  partir d'un fichier.
    </td>
</tr>
<tr>
    <td width='200'><a href="../utilitaires/maj.php">Mise  jour de la base</a></td>
    <td>Permet d'effectuer une mise  jour de la base MySql aprs un changement de version  de GEPI.
    </td>
</tr>
<tr>
    <td width='200'><a href="../utilitaires/clean_tables.php">Nettoyage des tables</a></td>
    <td>Procder  un nettoyage des tables de la base MySql de GEPI (suppression de certains doublons et/ou lignes obsoltes ou orphelines).
    </td>
</tr>
<tr>
    <td width='200'><a href="efface_base.php">Effacer la base</a></td>
    <td>Permet de rinitialiser les bases en effaant toutes les donnes <?php echo $gepiSettings['denomination_eleves']; ?> de la base.
    </td>
</tr>
<tr>
    <td width='200'><a href="efface_photos.php">Effacer les photos</a></td>
    <td>Permet d'effacer les photos des <?php echo $gepiSettings['denomination_eleves']; ?> qui ne sont plus dans la base.</td>
</tr>
<tr>
    <td width='200'><a href="gestion_temp_dir.php">Gestion des dossiers temporaires</a></td>
    <td>Permet de contrler le volume occup par les dossiers temporaires (<i>utiliss notamment pour gnrer les fichiers tableur OpenOffice (ODS), lorsque la fonction est active dans le module carnet de notes</i>), de supprimer ces dossiers,...</td>
</tr>

</table>

<table class='menu' summary='Menu initialisation'>
<tr>
<th colspan='2'><img src='../images/icons/package.png' alt='Initialisation' class='link' /> - Outils d'initialisation</th>
</tr>
<?php

if (LDAPServer::is_setup()) {
    ?>
<tr>
    <td width='200'><a href="../init_scribe/index.php">Initialisation  partir de l'annuaire LDAP du serveur Eole Scribe</a></td>
    <td>Permet d'importer les donnes <?php echo $gepiSettings['denomination_eleves']; ?>, classes, <?php echo $gepiSettings['denomination_professeurs']; ?>, matires directement depuis le serveur LDAP de Scribe.
    </td>
</tr>
<tr>
    <td width='200'><a href="../init_lcs/index.php">Initialisation  partir de l'annuaire LDAP du serveur LCS</a></td>
    <td>Permet d'importer les donnes <?php echo $gepiSettings['denomination_eleves']; ?>, classes, <?php echo $gepiSettings['denomination_professeurs']; ?>, matires directement depuis le serveur LDAP de LCS.
    </td>
</tr>
<?php
}
?>
<tr>
    <td width='200'><a href="../init_csv/index.php">Initialisation des donnes  partir de fichiers CSV</a></td>
    <td>Permet d'importer les donnes <?php echo $gepiSettings['denomination_eleves']; ?>, classes, <?php echo $gepiSettings['denomination_professeurs']; ?>, matires depuis des fichiers CSV, par exemple des exports depuis Sconet.
    </td>
</tr>
<tr>
    <td width='200'><a href="../init_xml2/index.php">Initialisation des donnes  partir de fichiers XML</a></td>
    <td>Permet d'importer les donnes <?php echo $gepiSettings['denomination_eleves']; ?>, classes, <?php echo $gepiSettings['denomination_professeurs']; ?>, matires depuis les exports XML de Sconet/STS.<br />
	<b>Nouvelle procdure:</b> Plus simple et moins gourmande en ressources que l'ancienne mthode ci-dessous.
    </td>
</tr>
<tr>
    <td width='200'><a href="../init_xml/index.php">Initialisation des donnes  partir de fichiers XML</a></td>
    <td>Permet d'importer les donnes <?php echo $gepiSettings['denomination_eleves']; ?>, classes, <?php echo $gepiSettings['denomination_professeurs']; ?>, matires depuis les exports XML de Sconet/STS.<br />
	<i>Les XML sont traits pour gnrer des fichiers CSV qui sont ensuite rclams dans les diffrentes tapes de l'initialisation.</i>
    </td>
</tr>
<tr>
    <td width='200'><a href="../init_dbf_sts/index.php">Initialisation des donnes  partir de fichiers DBF et XML</a> (OBSOLETE)</td>
    <td>Permet d'importer les donnes <?php echo $gepiSettings['denomination_eleves']; ?>, classes, <?php echo $gepiSettings['denomination_professeurs']; ?>, matires depuis deux fichiers DBF et l'export XML de STS.<br />
	<span style='color:red; '>Cette solution ne sera plus maintenue dans la future version 1.5.2 de Gepi.</span>
    </td>
</tr>
<tr>
    <td width='200'><a href="../initialisation/index.php">Initialisation des donnes  partir des fichiers GEP</a> (OBSOLETE)</td>
    <td>Permet d'importer les donnes <?php echo $gepiSettings['denomination_eleves']; ?>, classes, <?php echo $gepiSettings['denomination_professeurs']; ?>, matires depuis les fichiers GEP. Cette procdure est dsormais obsolte avec la gnralisation de Sconet.<br />
	<span style='color:red; '>Cette solution ne sera plus maintenue dans la future version 1.5.2 de Gepi.</span>
    </td>
</tr>
</table>
</center>
<?php require("../lib/footer.inc.php");?>