<?php
/*
 *
 *$Id: index.php 2147 2008-07-23 09:01:04Z tbelliard $
 *
 * Copyright 2001, 2007 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun, Christian Chapel
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

$niveau_arbo = 2;
// Initialisations files
require_once("../../lib/initialisations.inc.php");
//mes fonctions
include("../lib/functions.php");

// Resume session
$resultat_session = $session_gepi->security_check();
if ($resultat_session == 'c') {
    header("Location: ../../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../../logout.php?auto=1");
    die();
};

// Check access
if (!checkAccess()) {
    header("Location: ../../logout.php?auto=1");
    die();
}

$msg = '';
if (isset($_POST['activer'])) {
    if (!saveSetting("active_module_absence", $_POST['activer'])) {
		$msg = "Erreur lors de l'enregistrement du paramtre activation/dsactivation !";
	}
}
if (isset($_POST['activer_prof'])) {
    if (!saveSetting("active_module_absence_professeur", $_POST['activer_prof'])) {
		$msg = "Erreur lors de l'enregistrement du paramtre activation/dsactivation !";
	}
}
if (isset($_POST['activer_resp'])) {
	if (!saveSetting("active_absences_parents", $_POST['activer_resp'])) {
		$msg = "Erreur lors de l'enregistrement du paramtre activation/dsactivation !";
	}
}

if (isset($_POST['is_posted']) and ($msg=='')) $msg = "Les modifications ont t enregistres !";

// header
$titre_page = "Gestion du module absence";
require_once("../../lib/header.inc");


echo "<p class=bold><a href=\"../../accueil_modules.php\"><img src='../../images/icons/back.png' alt='Retour' class='back_link'/> Retour</a>";
echo "</p>";
?>
<h2>Gestion des absences par les CPE</h2>
<p style="font-style: italic;">La dsactivation du module de la gestion des absences n'entrane aucune
suppression des donnes. Lorsque le module est dsactiv, les CPE n'ont pas accs au module.</p>

<form action="index.php" name="form1" method="post">
<p>
	<input type="radio" id="activerY" name="activer" value="y"
	<?php if (getSettingValue("active_module_absence")=='y') echo ' checked="checked"'; ?> />
	<label for="activerY">&nbsp;Activer le module de la gestion des absences</label>
</p>
<p>
	<input type="radio" id="activerN" name="activer" value="n"
	<?php if (getSettingValue("active_module_absence")=='n') echo ' checked="checked"'; ?> />
	<label for="activerN">&nbsp;Dsactiver le module de la gestion des absences</label>
	<input type="hidden" name="is_posted" value="1" />
</p>

<h2>Saisie des absences par les professeurs</h2>
<p style="font-style: italic;">La dsactivation du module de la gestion des absences n'entrane aucune suppression des donnes saisies par les professeurs. Lorsque le module est dsactiv, les professeurs n'ont pas accs au module.
Normalement, ce module ne devrait tre activ que si le module ci-dessus est lui-mme activ.</p>
<p>
	<input type="radio" id="activerProfY" name="activer_prof" value="y"
	<?php if (getSettingValue("active_module_absence_professeur")=='y') echo " checked='checked'"; ?> />
	<label for="activerProfY">&nbsp;Activer le module de la saisie des absences par les professeurs</label>
	<a href="./interface_abs.php">&nbsp;Param&eacute;trer l'interface des professeurs</a>
</p>
<p>
	<input type="radio" id="activerProfN" name="activer_prof" value="n"
	<?php if (getSettingValue("active_module_absence_professeur")=='n') echo " checked='checked'"; ?> />
	<label for="activerProfN">&nbsp;Dsactiver le module de la saisie des absences par les professeurs</label>
	<input type="hidden" name="is_posted" value="1" />
</p>

<h2>G&eacute;rer l'acc&egrave;s des responsables d'&eacute;l&egrave;ves</h2>
<p style="font-style: italic">Vous pouvez permettre aux responsables d'acc&eacute;der aux donn&eacute;es brutes
entr&eacute;es dans Gepi par le biais du module absences.</p>
<p>
	<input type="radio" id="activerRespOk" name="activer_resp" value="y"
	<?php if (getSettingValue("active_absences_parents") == 'y') echo ' checked="checked"'; ?> />
	<label for="activerRespOk">Permettre l'acc&egrave;s aux responsables</label>
</p>
<p>
	<input type="radio" id="activerRespKo" name="activer_resp" value="n"
	<?php if (getSettingValue("active_absences_parents") == 'n') echo ' checked="checked"'; ?> />
	<label for="activerRespKo">Ne pas permettre cet acc&egrave;s</label>
</p>

<div class="centre"><input type="submit" value="Enregistrer" style="font-variant: small-caps;"/></div>
</form>

<h2>Configuration avance</h2>
<blockquote>
  <a href="admin_horaire_ouverture.php?action=visualiser">Dfinir les horaires d'ouverture de l'tablissement</a><br />
  <a href="admin_periodes_absences.php?action=visualiser">Dfinir les crneaux horaires</a><br />
<?php // On vrifie si le module calendrier / edt est ouvert ou non pour savoir quel lien on lance
$req_setting = mysql_fetch_array(mysql_query("SELECT value FROM setting WHERE name = 'autorise_edt_admin'")) OR DIE ('Erreur requte req_setting () : '.mysql_error());
$req_setting2 = mysql_fetch_array(mysql_query("SELECT value FROM setting WHERE name = 'autorise_edt_tous'")) OR DIE ('Erreur requte req_setting2 () : '.mysql_error());
	if ($req_setting["value"] == 'y' OR $req_setting2["value"] == 'y') {
		// On initialise le $_SESSION["retour"] pour pouvoir revenir proprement
		$_SESSION["retour"] = "../mod_absences/admin/index";
		echo '<a href="../../edt_organisation/edt_calendrier.php">D&eacute;finir p&eacute;riodes de vacances et jours f&eacute;ri&eacute;s</a><br />';
	} else {
		echo '<a href="admin_config_calendrier.php?action=visualiser">D&eacute;finir p&eacute;riodes de vacances et jours f&eacute;ri&eacute;s</a><br />';
	}
?>
	<a href="admin_config_semaines.php?action=visualiser">Dfinir les types de semaine</a><br />
	<a href="admin_motifs_absences.php?action=visualiser">Dfinir les motifs des absences</a><br />
	<a href="admin_actions_absences.php?action=visualiser">Dfinir les actions sur le suivi des lves</a>
</blockquote>
<?PHP
require("../../lib/footer.inc.php");
?>
